View Issue Details

IDProjectCategoryView StatusLast Update
0003014OpenFOAM[All Projects] Bugpublic2018-08-13 14:51
ReporterholgerAssigned Tohenry 
PriorityurgentSeveritycrashReproducibilityalways
Status resolvedResolutionsuspended 
PlatformGNU/LinuxOSLubuntuOS Version16.04
Product Version6 
Fixed in Version6 
Summary0003014: PDRFoam tutorial case "flamePropagationWithObstacles" is crashing
Descriptionexecuting PDRMesh gives:
 --> FOAM Warning :
 39 From function Foam::mixedFvPatchField<Type>::mixedFvPatchField(const Foam::mixedFvPatchField<Type>&, const Foam::fvPatch&, const Foam::DimensionedField<Type, Foam::volMesh>&, const Foam::fvPatchFieldMapper&) [with Type = double]
 40 in file /home/ubuntu/OpenFOAM/OpenFOAM-6/src/finiteVolume/lnInclude/mixedFvPatchField.C at line 77
 41 On field subsetp patch outer patchField mixed : mapper does not map all values.
 42 To avoid this warning fully specify the mapping in derived patch fields.


PDRFoam finally crashes after Time = 0.0125725 after many warnings
Steps To Reproducerun the standard tutorial case, ./Allrun
Additional Informationsame error with version 5.0 and dev
TagsNo tags attached.

Activities

holger

2018-07-24 12:43

reporter  

log.PDRFoam (1,153,931 bytes)

henry

2018-07-24 12:53

manager   ~0009871

Currently we have no funding to maintain or develop PDRFoam and cannot spend time on this tutorial.

OpenFOAM must be funded:
https://openfoam.org/news/funding-2018/
This kind of prioritisation over features reported through the issue tracking system requires a silver support package:
https://openfoam.org/maintenance/
The cost is a small fraction of a single, annual, commercial CFD licence. It is a small fraction of the total cost of any serious, in-house CFD capability.

If we cannot secure any funding to maintain PDRFoam we will have to remove it altogether.

holger

2018-07-24 13:10

reporter   ~0009872

thank you for your answer. Is the same the case for the solver fireFOAM (the flameSpreadWaterSuppressionPanel crashes as well)?

henry

2018-07-24 13:31

manager   ~0009873

Yes, we have no maintenance funding for fireFoam either. If you want to spend some time on these cases to resolve the issues and provide patches please go ahead.

henry

2018-07-31 14:13

manager   ~0009876

Pending maintenance funding and/or contribution.

henry

2018-08-13 14:51

manager   ~0009950

Resolved in OpenFOAM-6 by commit a2c8fc63d9a315382b2afeaa0eae53af476d65e1
Resolved in OpenFOAM-dev by commit commit c3c09229be64ace420bd7a01285cce1783217f99

Issue History

Date Modified Username Field Change
2018-07-24 12:43 holger New Issue
2018-07-24 12:43 holger File Added: log.PDRFoam
2018-07-24 12:53 henry Note Added: 0009871
2018-07-24 13:10 holger Note Added: 0009872
2018-07-24 13:31 henry Note Added: 0009873
2018-07-31 14:13 henry Assigned To => henry
2018-07-31 14:13 henry Status new => closed
2018-07-31 14:13 henry Resolution open => suspended
2018-07-31 14:13 henry Note Added: 0009876
2018-08-13 14:51 henry Status closed => resolved
2018-08-13 14:51 henry Fixed in Version => 6
2018-08-13 14:51 henry Note Added: 0009950